Open MPI logo

Open MPI User's Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Open MPI User's mailing list

Subject: Re: [OMPI users] OpenMPI 1.8.0 + PGI 13.6 = undeclared variable __LDBL_MANT_DIG__
From: Jeff Squyres (jsquyres) (jsquyres_at_[hidden])
Date: 2014-04-11 06:12:19


On Apr 9, 2014, at 8:47 PM, Filippo Spiga <spiga.filippo_at_[hidden]> wrote:

> I haven't solve this yet but I managed to move to code to be compatible woth PGI 14.3. Open MPI 1.8 compiles perfectly with the latest PGI.
>
> In parallel I will push this issue to the PGI forum.

FWIW: We've seen this kind of issue before with older versions of compilers, i.e., compilers sometimes have bugs, too. :-\

Glad you've got it working with the new version of PGI.

-- 
Jeff Squyres
jsquyres_at_[hidden]
For corporate legal information go to: http://www.cisco.com/web/about/doing_business/legal/cri/